Subject: Unable to find GNU libunistring when building Guile 2.2.6

From: DongChan LEE <[email-masked]>
Date: Thu, 25 Jul 2019 15:21:18 +0900

Hello,

I have a problem to configure a Guile 2.2.6 on my environment.

(I downloaded full source code through https://ftp.gnu.org/gnu/guile/)

And I extracted the compressed file into this path and configured with below parameters.

- /user/dc.lee/GUILE

-./configure --prefix=/user/dc.lee/GUILE \
LDFLAGS="-L/user/dc.lee/LIB/LIBTOOL/lib -L/user/dc.lee/LIB/UNISTRING/lib" \
--with-libunistring-prefix=/user/dc.lee/LIB/UNISTRING

I work using RHEL-7 (Redhat Enterprise Linux) workstation on private network (Intranet)

So I always use GNU Software via Source code downloading and compiling.

Guile 2.2.6 is also required libltdl (Libtool) and it passed with setting LDFLAGS.

But, Guile cannot find GNU Unistring library installed on specific path.(/user/dc.lee/LIB/UNISTRING)

My GNU Unistring library version is v0.9.10, And it is already passed self-test by 'make check'.

Please check my problem.

Thanks and regards.

=======================================================

Controller Dev., Solution Product & Development, Memory Business
DongChan LEE, Engineer / +82-10-2873-2820 / [email-masked]

=======================================================